summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJose Riha2020-09-19 22:33:27 +0200
committerJose Riha2020-09-19 22:33:27 +0200
commit382fc194d04629a80d5d4b23b44f08a214c5eb02 (patch)
treeff2e9d3bebb585de733194247aa6d344b79da7e2
parentd5c50ae55b31e845f42ec810d7ba90fcd0a2aeba (diff)
downloadaur-zoiper-classic.tar.gz
Update
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD76
-rw-r--r--zoiper-classic.desktop2
3 files changed, 54 insertions, 32 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 04467c2914a..98706cb7863 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,11 @@
pkgbase = zoiper-classic
- pkgdesc = An IAX and SIP VoIP softphone
- pkgver = 2.20
+ pkgdesc = An IAX and SIP VoIP softphone (classic version)
+ pkgver = 3.3
pkgrel = 1
url = http://www.zoiper.com/
- arch = i686
arch = x86_64
license = custom
+ makedepends = bitrock-unpacker
depends = gtk2
depends = alsa-lib
depends = libxdamage
@@ -13,7 +13,7 @@ pkgbase = zoiper-classic
source = zoiper-classic.desktop
source = zoiper-classic.png
sha1sums = 74e9f2d5dc6ec7174923e824b3db64b47b6d3b3c
- sha1sums = 0c97f32bf45d48ec992b1c1f22a7b24a904e4417
+ sha1sums = 7458a11bac24aa7ecc454f374b43e5c3cb83faff
sha1sums = 1b68b4fc56baff2de6661b654053ce6b60fe174f
pkgname = zoiper-classic
diff --git a/PKGBUILD b/PKGBUILD
index 17d19553431..377b1c1b398 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,48 +1,70 @@
-# Maintainer: Xavion <Xavion (dot) 0 (at) Gmail (dot) com>
+# Maintainer: Jose Riha <jose1711 gmail com>
+# Contributor: Xavion <Xavion (dot) 0 (at) Gmail (dot) com>
# Contributor: Aliaksandr Stelmachonak <mail.avatar@gmail.com>
-
_appname_=zoiper
pkgname=${_appname_}-classic
-pkgver=2.20
-_filever_=220
+pkgver=3.3
+_filever_=3.3
pkgrel=1
-pkgdesc="An IAX and SIP VoIP softphone"
-arch=("i686" "x86_64")
+pkgdesc="An IAX and SIP VoIP softphone (classic version)"
+arch=("x86_64")
url="http://www.zoiper.com/"
license=("custom")
+makedepends=('bitrock-unpacker')
depends=("gtk2" "alsa-lib" "libxdamage")
-[ "$CARCH" = "x86_64" ] && depends=("lib32-gtk2" "lib32-alsa-lib" "lib32-libxdamage" "lib32-libsm" "lib32-pangox-compat" "lib32-libcanberra")
+
source=("LICENSE" "${pkgname}.desktop" "${pkgname}.png")
-build() {
- cd "${srcdir}"
+prepare() {
+ cd "${srcdir}"
+ archive="${startdir}/Zoiper_${_filever_}_Linux_Free_32Bit_64Bit.tar.gz"
+
+ # Tests
+ if ! test -e "${archive}"; then
+ # Messages
+ warning "There is no longer a direct download link for the Zoiper tarball. Get it manually from: https://www.zoiper.com/en/voip-softphone/download/classic"
+ return 1
+ fi
- # Tests
- if ! test -e ${startdir}/zoiper${_filever_}-linux.tar.gz; then
- # Messages
- warning "There is no longer a direct download link for the Zoiper tarball. Get it manually from: http://www.zoiper.com/en/voip-softphone/download/zoiper-classic/for/linux"
- return 1
- fi
+ # Extractions
+ cp "${archive}" ./
+ tar -zxf "${archive}"
- # Extractions
- cp ${startdir}/zoiper${_filever_}-linux.tar.gz ./
- tar -zxf zoiper${_filever_}-linux.tar.gz
+ # Unpack files from installer
+ bitrock-unpacker Zoiper_3.3_Linux_Free_64Bit.run .
}
package() {
- cd "${srcdir}"
+ cd "${srcdir}"
+ mkdir -p "${pkgdir}/usr/share/pixmaps"
+
+ # Directories
+ install -d "${pkgdir}/usr/bin" "${pkgdir}"/usr/share/zoiper-classic "${pkgdir}"/usr/share/pixmaps "${pkgdir}"/usr/share/licenses/${pkgname}
+
+ # Files
+ install Core_Files/etczoipercommunicatorx64/* "${pkgdir}/usr/share/zoiper-classic"
+ install Core_Files/png_images_pixmaps/* "${pkgdir}/usr/share/pixmaps"
+ install -Dm644 Core_Files/zoiper_desktop_conf/* "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+ install -m644 ${pkgname}.desktop "${pkgdir}"/usr/share/applications/${pkgname}.desktop
- # Directories
- install -d "${pkgdir}"/usr/bin "${pkgdir}"/usr/share/{applications,pixmaps} "${pkgdir}"/usr/share/licenses/${pkgname}
+ # Fix icon names
+ mv "${pkgdir}/usr/share/pixmaps/zoiper.png" "${pkgdir}/usr/share/pixmaps/zoiper-classic.png"
+ find "${pkgdir}/usr/share/pixmaps" -type f | while read -r i
+ do
+ newname=$(echo "$i" | sed 's/\(zoiper-\)\([0-9][0-9]*\.png\)$/\1classic-\2/')
+ if [ ! -f "${newname}" ]
+ then
+ mv "$i" "${newname}"
+ fi
+ done
- # Files
- install -m755 ${_appname_} "${pkgdir}"/usr/bin/${pkgname}
- install -m644 ${pkgname}.png "${pkgdir}"/usr/share/pixmaps/${pkgname}.png
- install -m644 ${pkgname}.desktop "${pkgdir}"/usr/share/applications/${pkgname}.desktop
- install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+ # Fix permissions and create symlink
+ chmod 755 "${pkgdir}/usr/share/zoiper-classic/zoiper"
+ ln -s /usr/share/zoiper-classic/zoiper $pkgdir/usr/bin/zoiper-classic
}
sha1sums=('74e9f2d5dc6ec7174923e824b3db64b47b6d3b3c'
- '0c97f32bf45d48ec992b1c1f22a7b24a904e4417'
+ '7458a11bac24aa7ecc454f374b43e5c3cb83faff'
'1b68b4fc56baff2de6661b654053ce6b60fe174f')
diff --git a/zoiper-classic.desktop b/zoiper-classic.desktop
index 43f99102f43..cc105aff306 100644
--- a/zoiper-classic.desktop
+++ b/zoiper-classic.desktop
@@ -1,6 +1,6 @@
[Desktop Entry]
Encoding=UTF-8
-Name=Zoiper
+Name=Zoiper (classic)
GenericName=SIP/IAX2 softphone
Comment=SIP/IAX2 softphone
Type=Application